Package org.opentcs.drivers.vehicle

# Enum VehicleProcessModel.Attribute

java.lang.Object
java.lang.Enum<VehicleProcessModel.Attribute>
org.opentcs.drivers.vehicle.VehicleProcessModel.Attribute

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<VehicleProcessModel.Attribute>`, `java.lang.constant.Constable`

Enclosing class:
  VehicleProcessModel

    public static enum VehicleProcessModel.Attribute
    extends java.lang.Enum<VehicleProcessModel.Attribute>

Notification arguments to indicate some change.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `COMM_ADAPTER_CONNECTED` | Indicates a change of the comm adapter's connected setting.
  `COMM_ADAPTER_ENABLED` | Indicates a change of the comm adapter's enabled setting.
  `COMM_ADAPTER_EVENT` | Indicates a new comm adapter event was published.
  `COMMAND_ENQUEUED` | Indicates a command was enqueued.
  `COMMAND_EXECUTED` | Indicates a command was executed successfully.
  `COMMAND_FAILED` | Indicates a command failed.
  `COMMAND_SENT` | Indicates a command was sent.
  `ENERGY_LEVEL` | Indicates a change of the vehicle's energy level.
  `LOAD_HANDLING_DEVICES` | Indicates a change of the vehicle's load handling devices.
  `ORIENTATION_ANGLE` | Indicates a change of the vehicle's orientation angle.
  `POSITION` | Indicates a change of the vehicle's position.
  `PRECISE_POSITION` | Indicates a change of the vehicle's precise position.
  `STATE` | Indicates a change of the vehicle's state.
  `TRANSPORT_ORDER_PROPERTY` | Indicates a change of a transport order property.
  `USER_NOTIFICATION` | Indicates a new user notification was published.
  `VEHICLE_PROPERTY` | Indicates a change of a vehicle property.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static VehicleProcessModel.Attribute` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static VehicleProcessModel.Attribute[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMM_ADAPTER_ENABLED

    public static final VehicleProcessModel.Attribute COMM_ADAPTER_ENABLED
    Indicates a change of the comm adapter's enabled setting.

  - ### COMM_ADAPTER_CONNECTED

    public static final VehicleProcessModel.Attribute COMM_ADAPTER_CONNECTED
    Indicates a change of the comm adapter's connected setting.

  - ### POSITION

    public static final VehicleProcessModel.Attribute POSITION
    Indicates a change of the vehicle's position.

  - ### PRECISE_POSITION

    public static final VehicleProcessModel.Attribute PRECISE_POSITION
    Indicates a change of the vehicle's precise position.

  - ### ORIENTATION_ANGLE

    public static final VehicleProcessModel.Attribute ORIENTATION_ANGLE
    Indicates a change of the vehicle's orientation angle.

  - ### ENERGY_LEVEL

    public static final VehicleProcessModel.Attribute ENERGY_LEVEL
    Indicates a change of the vehicle's energy level.

  - ### LOAD_HANDLING_DEVICES

    public static final VehicleProcessModel.Attribute LOAD_HANDLING_DEVICES
    Indicates a change of the vehicle's load handling devices.

  - ### STATE

    public static final VehicleProcessModel.Attribute STATE
    Indicates a change of the vehicle's state.

  - ### USER_NOTIFICATION

    public static final VehicleProcessModel.Attribute USER_NOTIFICATION
    Indicates a new user notification was published.

  - ### COMM_ADAPTER_EVENT

    public static final VehicleProcessModel.Attribute COMM_ADAPTER_EVENT
    Indicates a new comm adapter event was published.

  - ### COMMAND_ENQUEUED

    public static final VehicleProcessModel.Attribute COMMAND_ENQUEUED
    Indicates a command was enqueued.

  - ### COMMAND_SENT

    public static final VehicleProcessModel.Attribute COMMAND_SENT
    Indicates a command was sent.

  - ### COMMAND_EXECUTED

    public static final VehicleProcessModel.Attribute COMMAND_EXECUTED
    Indicates a command was executed successfully.

  - ### COMMAND_FAILED

    public static final VehicleProcessModel.Attribute COMMAND_FAILED
    Indicates a command failed.

  - ### VEHICLE_PROPERTY

    public static final VehicleProcessModel.Attribute VEHICLE_PROPERTY
    Indicates a change of a vehicle property.

  - ### TRANSPORT_ORDER_PROPERTY

    public static final VehicleProcessModel.Attribute TRANSPORT_ORDER_PROPERTY
    Indicates a change of a transport order property.

- ## Method Details

  - ### values

    public static VehicleProcessModel.Attribute[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static VehicleProcessModel.Attribute valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null